%global oname socket.io-client
Name:          socketio-client-java
# Newer release uses okhttp-ws >= 2.3.0
Version:       0.4.1
Release:       1%{?dist}
Summary:       Socket.IO Client Library for Java
License:       MIT
URL:           https://github.com/socketio/socket.io-client-java
Source0:       https://github.com/socketio/socket.io-client-java/archive/%{oname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.github.nkzawa:engine.io-client)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.json:json)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
This is the Socket.IO v1.x Client Library for Java,
which is simply ported from the JavaScript client.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-java-%{oname}-%{version}
# Cleanup
find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete
find . -name "*.js" -type f -print -delete

# Unwanted tasks
%pom_remove_plugin :exec-maven-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
# Unavailable plugins
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :site-maven-plugin

# No test deps: org.skyscreamer:jsonassert:1.2.3
%pom_remove_dep org.skyscreamer:jsonassert
rm -r src/test/java/com/github/nkzawa/socketio/parser/*

# Use web connection TestTimedOutException: test timed out after 30000 milliseconds
rm -r src/test/java/com/github/nkzawa/socketio/client/ConnectionTest.java \
 src/test/java/com/github/nkzawa/socketio/client/ExecutionTest.java \
 src/test/java/com/github/nkzawa/socketio/client/ServerConnectionNamespaceTest.java \
 src/test/java/com/github/nkzawa/socketio/client/ServerConnectionTest.java \
 src/test/java/com/github/nkzawa/socketio/client/SocketTest.java \
 src/test/java/com/github/nkzawa/socketio/client/SSLConnectionTest.java

%mvn_file : %{oname}
# Switch gId when upgraded to newer release
%mvn_alias com.github.nkzawa: io.socket:

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc History.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Aug 31 2015 gil cattaneo <puntogil@libero.it> 0.4.1-1
- initial rpm
